[Pkg-virtualbox-commits] [SCM] virtualbox Debian packaging branch, experimental, updated. debian/4.1.18-dfsg-2-25-g79d2334

Felix Geyer fgeyer at debian.org
Sun Mar 3 21:39:07 UTC 2013


The following commit has been merged in the experimental branch:
commit 2610a33c49e8eda37b873c6a030e4dbd5b08aec5
Author: Felix Geyer <fgeyer at debian.org>
Date:   Sun Mar 3 13:27:01 2013 +0100

    Add an init script to virtuabox-guest-x11 which loads the vboxvideo kernel module.
    
    The X Server 1.13 doesn't load it anymore.
    Closes: #686994

diff --git a/debian/changelog b/debian/changelog
index 94360c4..85ef623 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -15,6 +15,8 @@ virtualbox (4.2.8-dfsg-1) UNRELEASED; urgency=low
   * Update install files and VBox.sh.
   * Bump required kbuild version to 0.1.9998svn2577.
   * Fix path to VBoxCreateUSBNode.sh in virtualbox.postinst. (Closes: #700479)
+  * Add an init script to virtuabox-guest-x11 which loads the vboxvideo
+    kernel module. The X Server 1.13 doesn't load it anymore. (Closes: #686994)
 
  -- Felix Geyer <fgeyer at debian.org>  Fri, 25 Jan 2013 18:14:24 +0100
 
diff --git a/debian/virtualbox-guest-x11.init b/debian/virtualbox-guest-x11.init
new file mode 100644
index 0000000..c079bab
--- /dev/null
+++ b/debian/virtualbox-guest-x11.init
@@ -0,0 +1,67 @@
+#!/bin/sh
+# (C) 2012 Felix Geyer <fgeyer at debian@org>
+
+### BEGIN INIT INFO
+# Provides:          virtualbox-guest-x11
+# Short-Description: VirtualBox Linux X11 Additions
+# Required-Start:    $remote_fs virtualbox-guest-utils
+# Required-Stop:     $remote_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+### END INIT INFO
+
+PATH=$PATH:/bin:/sbin:/usr/sbin
+
+. /lib/lsb/init-functions
+
+test -e /usr/lib/VBoxOGL.so || exit 0
+
+in_virtual_machine()
+{
+	if [ -z "$(lspci -d 80ee:beef)" ]; then
+		log_warning_msg "VirtualBox Additions disabled, not in a Virtual Machine"
+		return 1
+	fi
+
+	return 0
+}
+
+running()
+{
+    lsmod | grep -q "$1[^_-]"
+}
+
+case "$1" in
+  start)
+	in_virtual_machine || exit 0
+	log_begin_msg "Loading VirtualBox video kernel module"
+
+	if ! running vboxvideo; then
+		if ! modprobe vboxvideo > /dev/null 2>&1; then
+			if ! find /lib/modules/`uname -r` -name "vboxvideo\.*" 2>/dev/null|grep -q vboxvideo; then
+				log_failure_msg "No suitable module for running kernel found"
+			else
+				log_failure_msg "modprobe vboxvideo failed. Please use 'dmesg' to find out why"
+			fi
+			log_end_msg 1
+			exit 1
+		fi
+	fi
+
+	log_end_msg 0
+	;;
+
+  stop)
+	;;
+
+  restart|force-reload)
+	$0 start
+	;;
+
+  *)
+	echo "Usage: $0 {start|stop|restart|force-reload}"
+	exit 1
+	;;
+esac
+
+exit 0

-- 
virtualbox Debian packaging



More information about the Pkg-virtualbox-commits mailing list